### Точно меняются от проекта к проекту ###

COMPOSE_PROJECT_NAME=homework
# Remote Server (PROD)
catalogSRV=/home/project/web/project.com/public_html
userSRV=project
portSRV=22
SRV=127.0.0.2
###

# Для проектов с поддоменами можно использовать регулярки ~^.*homework(\..*\.nip\.io)?
# Можно указывать несколько хостов через запятую
VIRTUAL_HOST=~^.*homework(\..*\.nip\.io)?
# Домен нужен для работы сокетов и подключение сайта к самому себе ) * Не обязательно
PROJECT_DOMAIN=homework.127.0.0.1.nip.io
# Домен сайта, обновляется в настройках сайта (s1) или используется в модуле поддоменов для определения корня
SITE_SERVER_NAME=
# По умолчанию используется сайт s1. Если нужен другой то установить в переменной SITE_LID

### / Точно меняются от проекта к проекту ###

# ID пользователя если отличаются от стандартных
UID=1000
GID=1000
#если нужно смонтировать ключ с нестандартным именем. SSH_KEY=id_rsa SSH_KEY_PUB=id_rsa.pub

# DEPLOY
DEPLOY_DIR=/deploy
## Project settings
COMPOSE_FILE=/etc/webpractik/docker-compose/base_projects/alternate-deploy/docker-compose.yml

# Список таблиц для исключения дампа данных через запятую
dump_excluded_tables=b_event_log,b_search_content_stem,b_search_content,b_search_content_text,b_search_content_title,b_search_phrase,b_search_suggest,b_perf_error
dump_excluded_files=.git,upload,bitrix/backup,bitrix/cache,bitrix/managed_cache,bitrix/stack_cache,bitrix/tmp,.env

## Services versions ##
## Возможные версии: 7.1 7.0 5.6 5.5 устаревшие 5.4 5.3 (Работа тестировалась на 7.0, 5.6)
PHP_VERSION=7.4
## Возможные версии: 5.6 5.5
MYSQL_VERSION=5.6

## MYSQL ##
MYSQL_HOST=db
MYSQL_DATABASE=db
MYSQL_USER=db
MYSQL_PASSWORD=db
MYSQL_ROOT_PASSWORD=root
LOCALTIME=Europe/Moscow

MYSQLD__innodb_flush_log_at_trx_commit=2
MYSQLD__innodb_flush_method=O_DIRECT
MYSQLD__transaction-isolation=READ-COMMITTED
MYSQLD__sql_mode=
MYSQLD__character-set-server=utf8
MYSQLD__collation-server=utf8_unicode_ci
## / MYSQL ##

## Apache ##
HTTPD__RemoteIPHeader=X-Real-IP
HTTPD_a2enmod=rewrite status expires remoteip

## PHP ##
# Включаемые модули для PHP, если нужен xdebug Добавить и перезапустить
PHP_php5enmod=mcrypt memcached mysqli opcache gd mbstring soap zip

## Bitrix php specific settings
PHP__date.timezone=Europe/Moscow
PHP__display_errors=On
PHP__log_errors=On
PHP__magic_quotes_gpc=Off
PHP__memory_limit=128M
PHP__upload_max_filesize=50M
PHP__post_max_size=50M
PHP__max_execution_time=60
PHP__mbstring.func_overload=0
PHP__mbstring.internal_encoding='UTF-8'
PHP__opcache.enable=1
PHP__opcache.revalidate_freq=0
PHP__opcache.validate_timestamps=1
PHP__opcache.memory_consumption=64
PHP__opcache.max_accelerated_files=100000
PHP__realpath_cache_size=4096k
PHP__max_input_vars=10000
PHP__sendmail=/usr/sbin/ssmtp -t #Протестировать

## Xdebug ##
PHP__xdebug.remote_enable=On
#PHP__xdebug.remote_connect_back=On #@TODO разобраться как прокинуть real ip за каскадом Nginx
PHP__xdebug.remote_host=172.20.0.1
PHP__xdebug.mode=off
PHP__xdebug.idekey=PHPSTORM
PHP__xdebug.client_port=9003
PHP__xdebug.discover_client_host=true

## доп. переменная для apache , определяет корневой каталог там где index.php 
## если нужно переопередить например в корне проекта есть  каталог [private|public]/index.php
## то просто нужно указать /var/www/html/public
HTTPD__DocumentRoot=/var/www/html 

## Почта ##
SMTP=mailcatcher:1025
